%global gem_name pry-nav

Name:           rubygem-%{gem_name}
Version:        0.3.0
Release:        1%{?dist}
Summary:        Simple execution navigation for Pry
License:        MIT

URL:            https://github.com/nixme/pry-nav
Source0:        https://rubygems.org/gems/%{gem_name}-%{version}.gem

BuildArch:      noarch

BuildRequires:  ruby(release)
BuildRequires:  rubygems-devel
BuildRequires:  ruby >= 1.8.7

%description
Turn Pry into a primitive debugger. Adds 'step' and 'next' commands to control
execution.


%package        doc
Summary:        Documentation for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
Documentation for %{name}.


%prep
%setup -q -n %{gem_name}-%{version}


%build
gem build ../%{gem_name}-%{version}.gemspec

%gem_install


%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/


%files
%license %{gem_instdir}/LICENSE

%dir %{gem_instdir}

%{gem_libdir}
%{gem_spec}

%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/pry-nav.gemspec
%exclude %{gem_cache}


%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%{gem_instdir}/Gemfile

%exclude %{gem_instdir}/Rakefile


%changelog
* Thu Apr 18 2019 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-1
- Update to version 0.3.0.

* Mon Apr 23 2018 Fabio Valentini <decathorpe@gmail.com> - 0.2.4-1
- Initial package

